<template lang="pug">
BaseCard.x-card.b-focus-highlight(:class='{ selected: isSelected }' tabIndex='-1'
    @focusin.native='isFocused = true'
    @focusout.native='isFocused = false')
  template(#header='')
    .d-flex.flex-wrap
      div
        strong(style='text-transform: capitalize;') {{ title }}
      div.mr-auto
      slot(name='icons' v-bind='{ ...$data, showKeyHints }')
      button.btn.btn-sm.btn-outline-info.mx-1(title='info' @click='showInfo = !showInfo')
        kbd.mr-2(v-if="showKeyHints && isFocused") Ctrl+H
        | #[i.fa.fa-question-circle]
      button.btn.btn-sm.btn-outline-secondary.ml-1(type='button' @click='toggleSelected')
        template(v-if='isSelected')
          kbd.mr-2(v-if='showKeyHints && isFocused') Esc
          i.fa.fa-compress-alt
        template(v-else)
          kbd.mr-2(v-if='showKeyHints && isFocused') Ctrl-Enter
          i.fa.fa-expand-alt
  li.p-0(key='info' v-show='showInfo')
    InfoAlert
      slot(name='info' v-bind='{ ...$data, showKeyHints }')
  slot(name='default' v-bind='{ ...$data, showKeyHints }')
</template>
<script src='./Card.vue.js' />
<style lang='scss'>
.x-card {
  transition: width 250ms, height 250ms;
  &.selected {
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
    position: fixed !important;
    margin: auto !important;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1050;
    max-height: 95vh !important;
    max-width: 95vw !important;
    width: 95vw !important;
  }
  > ul {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 100%;
  }
}
</style>
